SDL_SetClipboardText(3)

NAME
SDL_SetClipboardText - Put UTF-8 text into the clipboard.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetClipboardText(const char *text);

FUNCTION PARAMETERS

text
    the text to store in the clipboard.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetClipboardText(3), •(3), SDL_HasClipboardText(3)